Subject: Re: removing get_immrbase()??

From: Scott Wood <[email-masked]>
Date: Wed, 22 Apr 2009 16:38:02 -0500

Kumar Gala wrote:
> I disagree.  If you update your kernel you should update your device 
> tree (thus we have .dts in the kernel tree and not somewhere else).

No.  The device tree is a means to pass information from the firmware to 
the kernel.  It is part of the firmware.  That the repository of trees 
is in the Linux kernel for any boards which are not including the tree 
inside a bootwrapper is a historical accident.

Updating the dtb with the kernel just shifts the risk of incompatibility 
to interactions between the firmware and the dtb.  The same backwards 
compatibility considerations when making kernel changes that depend on 
firmware changes should be made when making kernel changes that depend 
on dts changes.

-Scott